org.eclipse.jdt.debug.ui.launchConfigurations

## Class AppletArgumentsTab

- java.lang.Object
- - org.eclipse.debug.ui.AbstractLaunchConfigurationTab
  - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
    - - org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab
      - - org.eclipse.jdt.debug.ui.launchConfigurations.AppletArgumentsTab

All Implemented Interfaces:
  ILaunchConfigurationTab, ILaunchConfigurationTab2

    public class AppletArgumentsTab
    extends JavaArgumentsTab

A launch configuration tab that displays and edits program arguments, VM arguments, and working directory launch configuration attributes, for an applet.

This class may be instantiated.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

### Field Summary

### Fields inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab

`EMPTY_STRING, fPrgmArgumentsLabel, fPrgmArgumentsText, fVMArgumentsBlock, fWorkingDirectoryBlock`

### Constructor Summary

Constructors
Constructor and Description
`AppletArgumentsTab()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected WorkingDirectoryBlock` `createWorkingDirBlock()` Creates a control to specify a working directory.
`protected void` `setHelpContextId()` Set the help context id for this launch config tab.

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaArgumentsTab

`activated, createControl, createVMArgsBlock, deactivated, dispose, getAttributeValueFrom, getErrorMessage, getId, getImage, getMessage, getName, initializeFrom, isValid, performApply, setDefaults, setLaunchConfigurationDialog`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, getControl, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

### Constructor Detail

#### AppletArgumentsTab

    public AppletArgumentsTab()

### Method Detail

#### createWorkingDirBlock

    protected WorkingDirectoryBlock createWorkingDirBlock()

Description copied from class: `JavaArgumentsTab`
Creates a control to specify a working directory.

Overrides:
  `createWorkingDirBlock` in class `JavaArgumentsTab`
Returns:
  the new `WorkingDirectoryBlock`
See Also:
  `JavaArgumentsTab.createWorkingDirBlock()`

#### setHelpContextId

    protected void setHelpContextId()

Description copied from class: `JavaArgumentsTab`
Set the help context id for this launch config tab. Subclasses may override this method.

Overrides:
  `setHelpContextId` in class `JavaArgumentsTab`
See Also:
  `JavaArgumentsTab.setHelpContextId()`